Summary:	XML Security Library
Summary(pl.UTF-8):	Biblioteka bezpieczeństwa XML
Name:		xmlsec1
Version:	1.2.20
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://www.aleksey.com/xmlsec/download/%{name}-%{version}.tar.gz
# Source0-md5:	ce12af00283eb90d9281956524250d6e
Patch0:		%{name}-nss.patch
URL:		http://www.aleksey.com/xmlsec/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.7
BuildRequires:	gnutls-devel >= 2.8.0
BuildRequires:	libgcrypt-devel >= 1.4.0
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libxml2-devel >= 1:2.7.4
BuildRequires:	libxslt-devel >= 1.0.20
BuildRequires:	nspr-devel >= 4.4.1
BuildRequires:	nss-devel >= 3.9
BuildRequires:	openssl-devel >= 1.0.0
BuildRequires:	pkgconfig >= 1:0.9
Requires:	libxml2 >= 1:2.7.4
Requires:	libxslt >= 1.0.20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XMLSec library provides C based implementation for major XML Security
standards:
 - XML Signature Syntax and Processing
   <http://www.w3.org/TR/xmldsig-core/>
 - XML Encryption Syntax and Processing
   <http://www.w3.org/TR/xmlenc-core/>
XMLSec is based on well known LibXML <http://xmlsoft.org/>, LibXSLT
<http://xmlsoft.org/XSLT/> and OpenSSL <http://www.openssl.org/>
libraries.

This package contains core library, which provides implementation of
all the engines as well as support for all the non crypto transforms
(XML parser, c14n transforms, XPath and XSLT transforms...).
For cryptographic transforms, keys data and key data stores look at
one of the separate XML Security Crypto libraries (GnuTLS, NSS or
OpenSSL based).

%description -l pl.UTF-8
Biblioteka XMLSec dostarcza implementację w C głównych standardów
bezpieczeństwa XML:
 - XML Signature Syntax and Processing (składnia i przetwarzanie
   sygnatur XML)
   <http://www.w3.org/TR/xmldsig-core/>
 - XML Encryption Syntax and Processing (składnia i przetwarzanie
   szyfrowania XML).
XMLSec jest oparta na dobrze znanych bibliotekach LibXML
<http://xmlsoft.org/>, LibXSLT <http://xmlsoft.org/XSLT/> oraz OpenSSL
<http://www.openssl.org/>.

Ten pakiet zawiera główną bibliotekę, zawierającą implementację
wszystkich silników oraz obsługę wszystkich przekształceń
niekryptograficznych (analizator XML, przekształcenia c14n,
przekształcenia XPath i XSLT...). Przekształcenia kryptograficzne,
dane kluczy oraz metody przechowywania kluczy można znaleźć w jednej
z wydzielonych bibliotek XML Security Crypto (opartych na GnuTLS,
NSS lub OpenSSL).

%package devel
Summary:	Header files for XMLSec library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XMLSec
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxml2-devel >= 1:2.7.4
Requires:	libxslt-devel >= 1.0.20

%description devel
Header files for XMLSec library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XMLSec.

%package static
Summary:	Static XMLSec library
Summary(pl.UTF-8):	Statyczna biblioteka XMLSec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XMLSec library.

%description static -l pl.UTF-8
Statyczna biblioteka XMLSec.

%package apidocs
Summary:	XMLSec library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki XMLSec
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
XMLSec library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki XMLSec.

%package gcrypt
Summary:	GCrypt Crypto library for XML Security Library
Summary(pl.UTF-8):	Biblioteka kryptograficzna GCrypt dla biblioteki XMLSec
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgcrypt >= 1.4.0

%description gcrypt
GCrypt Crypto library for XML Security Library provides GnuTLS based
crypto services for the XMLSec library.

%description gcrypt -l pl.UTF-8
Biblioteka kryptograficzna GCrypt dla biblioteki XMLSec dostarcza
usługi kryptograficzne oparte na bibliotece GnuTLS.

%package gcrypt-devel
Summary:	Header files for XMLSec GCrypt API
Summary(pl.UTF-8):	Pliki nagłówkowe API GCrypt XMLSec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gcrypt = %{version}-%{release}
Requires:	libgcrypt-devel >= 1.4.0

%description gcrypt-devel
Header files for developing XML Security applications with GCrypt.

%description gcrypt-devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia aplikacji związanych z bezpieczeństwem
XML przy użyciu GCrypt.

%package gcrypt-static
Summary:	Static GCrypt Crypto library for XML Security Library
Summary(pl.UTF-8):	Statyczna biblioteka kryptograficzna GCrypt dla biblioteki XMLSec
Group:		Development/Libraries
Requires:	%{name}-gcrypt-devel = %{version}-%{release}

%description gcrypt-static
Static GCrypt Crypto library for XML Security Library.

%description gcrypt-static -l pl.UTF-8
Statyczna biblioteka kryptograficzna GCrypt dla biblioteki XMLSec.

%package gnutls
Summary:	GnuTLS Crypto library for XML Security Library
Summary(pl.UTF-8):	Biblioteka kryptograficzna GnuTLS dla biblioteki XMLSec
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnutls >= 2.8.0

%description gnutls
GnuTLS Crypto library for XML Security Library provides GnuTLS based
crypto services for the XMLSec library.

%description gnutls -l pl.UTF-8
Biblioteka kryptograficzna GnuTLS dla biblioteki XMLSec dostarcza
usługi kryptograficzne oparte na bibliotece GnuTLS.

%package gnutls-devel
Summary:	Header files for XMLSec GnuTLS API
Summary(pl.UTF-8):	Pliki nagłówkowe API GnuTLS XMLSec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gnutls = %{version}-%{release}
Requires:	gnutls-devel >= 2.8.0

%description gnutls-devel
Header files for developing XML Security applications with GnuTLS.

%description gnutls-devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia aplikacji związanych z bezpieczeństwem
XML przy użyciu GnuTLS.

%package gnutls-static
Summary:	Static GnuTLS Crypto library for XML Security Library
Summary(pl.UTF-8):	Statyczna biblioteka kryptograficzna GnuTLS dla biblioteki XMLSec
Group:		Development/Libraries
Requires:	%{name}-gnutls-devel = %{version}-%{release}

%description gnutls-static
Static GnuTLS Crypto library for XML Security Library.

%description gnutls-static -l pl.UTF-8
Statyczna biblioteka kryptograficzna GnuTLS dla biblioteki XMLSec.

%package nss
Summary:	NSS Crypto library for XML Security Library
Summary(pl.UTF-8):	Biblioteka kryptograficzna NSS dla biblioteki XMLSec
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	nspr >= 4.4.1
Requires:	nss >= 3.9

%description nss
NSS Crypto library for XML Security Library provides NSS based crypto
services for the XMLSec library.

%description nss -l pl.UTF-8
Biblioteka kryptograficzna NSS dla biblioteki XMLSec dostarcza usługi
kryptograficzne oparte na bibliotece NSS.

%package nss-devel
Summary:	Header files for XMLSec NSS API
Summary(pl.UTF-8):	Pliki nagłówkowe API NSS XMLSec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-nss = %{version}-%{release}
Requires:	nspr-devel >= 4.4.1
Requires:	nss-devel >= 3.9

%description nss-devel
Header files for developing XML Security applications with NSS.

%description nss-devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia aplikacji związanych z bezpieczeństwem
XML przy użyciu NSS.

%package nss-static
Summary:	Static NSS Crypto library for XML Security Library
Summary(pl.UTF-8):	Statyczna biblioteka kryptograficzna NSS dla biblioteki XMLSec
Group:		Development/Libraries
Requires:	%{name}-nss-devel = %{version}-%{release}

%description nss-static
Static NSS Crypto library for XML Security Library.

%description nss-static -l pl.UTF-8
Statyczna biblioteka kryptograficzna NSS dla biblioteki XMLSec.

%package openssl
Summary:	OpenSSL Crypto library for XML Security Library
Summary(pl.UTF-8):	Biblioteka kryptograficzna OpenSSL dla biblioteki XMLSec
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl >= 1.0.0

%description openssl
OpenSSL Crypto library for XML Security Library provides OpenSSL based
crypto services for the XMLSec library.

%description openssl -l pl.UTF-8
Biblioteka kryptograficzna OpenSSL dla biblioteki XMLSec dostarcza
usługi kryptograficzne oparte na bibliotece OpenSSL.

%package openssl-devel
Summary:	Header files for XMLSec OpenSSL API
Summary(pl.UTF-8):	Pliki nagłówkowe API OpenSSL XMLSec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-openssl = %{version}-%{release}
Requires:	openssl-devel >= 1.0.0

%description openssl-devel
Header files for developing XML Security applications with OpenSSL.

%description openssl-devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia aplikacji związanych z bezpieczeństwem
XML przy użyciu OpenSSL.

%package openssl-static
Summary:	Static OpenSSL Crypto library for XML Security Library
Summary(pl.UTF-8):	Statyczna biblioteka kryptograficzna OpenSSL dla biblioteki XMLSec
Group:		Development/Libraries
Requires:	%{name}-nss-devel = %{version}-%{release}

%description openssl-static
Static OpenSSL Crypto library for XML Security Library.

%description openssl-static -l pl.UTF-8
Statyczna biblioteka kryptograficzna OpenSSL dla biblioteki XMLSec.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CPPFLAGS='%{rpmcppflags} -DLTDL_OBJDIR=\".libs\" -DLTDL_SHLIB_EXT=\".so\"' \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}/xmlsec1 \
	--with-nspr=/usr \
	--with-nss=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	gnutls -p /sbin/ldconfig
%postun	gnutls -p /sbin/ldconfig

%post	nss -p /sbin/ldconfig
%postun	nss -p /sbin/ldconfig

%post	openssl -p /sbin/ldconfig
%postun	openssl -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog Copyright README TODO
%attr(755,root,root) %{_bindir}/xmlsec1
%attr(755,root,root) %{_libdir}/libxmlsec1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlsec1.so.1
%{_mandir}/man1/xmlsec1.1*

%files devel
%defattr(644,root,root,755)
%doc HACKING
%attr(755,root,root) %{_bindir}/xmlsec1-config
%attr(755,root,root) %{_libdir}/libxmlsec1.so
%{_libdir}/libxmlsec1.la
%{_libdir}/xmlsec1Conf.sh
%dir %{_includedir}/xmlsec1
%dir %{_includedir}/xmlsec1/xmlsec
%{_includedir}/xmlsec1/xmlsec/*.h
%{_includedir}/xmlsec1/xmlsec/private
%{_pkgconfigdir}/xmlsec1.pc
%{_aclocaldir}/xmlsec1.m4
%{_mandir}/man1/xmlsec1-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libxmlsec1.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/xmlsec1

%files gcrypt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlsec1-gcrypt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlsec1-gcrypt.so.1
%attr(755,root,root) %{_libdir}/libxmlsec1-gcrypt.so

%files gcrypt-devel
%defattr(644,root,root,755)
%{_libdir}/libxmlsec1-gcrypt.la
%{_includedir}/xmlsec1/xmlsec/gcrypt
%{_pkgconfigdir}/xmlsec1-gcrypt.pc

%files gcrypt-static
%defattr(644,root,root,755)
%{_libdir}/libxmlsec1-gcrypt.a

%files gnutls
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlsec1-gnutls.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlsec1-gnutls.so.1
%attr(755,root,root) %{_libdir}/libxmlsec1-gnutls.so

%files gnutls-devel
%defattr(644,root,root,755)
%{_libdir}/libxmlsec1-gnutls.la
%{_includedir}/xmlsec1/xmlsec/gnutls
%{_pkgconfigdir}/xmlsec1-gnutls.pc

%files gnutls-static
%defattr(644,root,root,755)
%{_libdir}/libxmlsec1-gnutls.a

%files nss
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlsec1-nss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlsec1-nss.so.1
%attr(755,root,root) %{_libdir}/libxmlsec1-nss.so

%files nss-devel
%defattr(644,root,root,755)
%{_libdir}/libxmlsec1-nss.la
%{_includedir}/xmlsec1/xmlsec/nss
%{_pkgconfigdir}/xmlsec1-nss.pc

%files nss-static
%defattr(644,root,root,755)
%{_libdir}/libxmlsec1-nss.a

%files openssl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlsec1-openssl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlsec1-openssl.so.1
%attr(755,root,root) %{_libdir}/libxmlsec1-openssl.so

%files openssl-devel
%defattr(644,root,root,755)
%{_libdir}/libxmlsec1-openssl.la
%{_includedir}/xmlsec1/xmlsec/openssl
%{_pkgconfigdir}/xmlsec1-openssl.pc

%files openssl-static
%defattr(644,root,root,755)
%{_libdir}/libxmlsec1-openssl.a
%changelog
* Thu Jun 05 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xmlsec1.git;a=log;h=master

* Thu Jun 05 2014 Jakub Bogusz <qboosh@pld-linux.org> e192fa5
- updated to 1.2.20

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 461a5b9
- release 2 (by relup.sh)

* Thu Apr 11 2013 Jakub Bogusz <qboosh@pld-linux.org> ab72902
- updated to 1.2.19
- require openssl 1.0.0 to ensure ECDSA support

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b815f8b
- release 2

* Fri May 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 64b5643
- updated to 1.2.18 (fixes 64-bit crash)

* Sat Apr 02 2011 Jakub Bogusz <qboosh@pld-linux.org> a151909
- updated to 1.2.17

* Fri Nov 26 2010 hawk <hawk@pld-linux.org> 2e51736
- release 2

* Wed Aug 18 2010 Jakub Bogusz <qboosh@pld-linux.org> e5fb4b6
- updated to 1.2.16; new -gcrypt-* subpackages

* Sun May 16 2010 sparky <sparky@pld-linux.org> 8065a07
- BR: libltdl-devel

* Fri Apr 30 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fb63bb
- up to 1.2.15

* Mon Apr 26 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2edf279
- rel 3

* Mon Apr 26 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ed1de68
- release 2

* Fri Dec 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c6903a
- up to 1.2.14

* Wed Oct 21 2009 Jakub Bogusz <qboosh@pld-linux.org> 2cc6845
- xmlsec crypto libs can be dlopened, but also export their own API
  - so package static as well

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5db44fb
- up to 1.2.13

* Thu Jul 16 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6406dd2
- up to 1.2.12

* Tue Jan 22 2008 hawk <hawk@pld-linux.org> bdb7f1c
- release 3

* Thu Jan 17 2008 Elan Ruusamäe <glen@pld-linux.org> 1d60267
- rel 2

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> b692178
- updated to 1.2.11

* Thu Jun 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 46853c0
- added apidocs subpackage
- release 3

